// Import Vars
@import "var";
@import "mixins";

.windows {

    body,
    p {
        font-size: 14px;
    }
}

body {
    overflow-x: hidden;
    background: darken($white, 5.88);
    color: $primary;

    * {

        font-family: $font-family !important;
    }

    &.ltr {
        .content {
            .container-fluid {
                padding-left: 40px;
                padding-right: 0;
            }
        }

        .page-container {

            .page-content-wrapper {

                .content {
                    padding-right: 0;
                    padding-left: 200px;
                }
            }
        }

        .page-sidebar {
            transform: translate3d(210px, 0px, 0px) !important;

            .menu-items {
                li {
                    display: flex;
                    flex-direction: row-reverse;
                    justify-content: flex-end;
                }
            }
        }

        .datepicker {
            text-align: left;
        }

        .nav-tabs {

            .nav-item {

                &:not(:first-of-type) {
                    margin-left: 60px;
                    margin-right: 0px;
                }
            }
        }

        [class*="col-"] {

            &.pr-0 {
                padding-left: 0;
                padding-right: 15px !important;
            }
        }

        table {

            &.dataTable {

                thead {

                    th {

                        &:not(:last-child) {
                            border-right: 1px solid darken($white, 8.63);
                            border-left: 0
                        }
                    }
                }

                tbody {
                    tr {
                        td {

                            &:not(:last-child) {
                                border-right: 1px solid darken($white, 8.63);
                                border-left: 0
                            }
                        }
                    }
                }
            }
        }

        .search-form {
            .input-group {
                .icon {

                    left: 15px;
                    right: auto;
                }
            }
        }
        @media screen and (max-width: 991px){

        
                &.sidebar-open{
        
                    .page-container{
                        -webkit-transform: translate3d(-250px,0,0);
                        transform: translate3d(-250px,0,0);
                        -ms-transform: translate(-250px,0);
                    }
                    .page-sidebar{
                        left: auto !important;
                        right: 0 !important;
                    }
                } 
            } 
        @media (max-width: 767px){
            .login-wrapper{
                .col-sm-6{

                        padding-left: 0;
                        padding-right: 15px !important;
                        &:last-of-type{
                            padding-right: 0 !important;
                        }
                    
                }
            }
        }
        .checkbox {
            &::before{
                left: 20px;
                right: auto;
            }
            label{
                padding-right: 0;
                padding-left: 25px;
                margin-left: 0;
                margin-right: 15px;
                &::before, &::after{
                    left: 0;
                    right: auto;
                    margin-right: 15px;
                    margin-left: 0;
                }
            }
        }
        .login-wrapper {

            .bg-pic{
                &::after{
                    right: auto;
                    left: -100%;
                }
            }
            .login-container {
                h4{

                    &::after{
                        right: auto;
                        left:  0;
                    }
                }
            }
                
        }
        .add-book-card , .form-card{

            .form-group , .input-group{
                &.required{
                    &::before{
                        left: 5px;
                        right: auto;
                    }

                }
            }
        }
    }
}
[class*="col-"] {

    &.pr-0 {
        margin-bottom: 10px;
        @media screen and (max-width: 575px) {

            
                padding: 0 !important;
            
        }
    }
}
a {
    color: $primary;

    &:hover {
        color: $active;
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    &.bold {
        font-family: $font-family-bold !important;
    }
}

.pace-progress {
    background: $active !important;
}

.pace-activity {
    background: none !important;

}

.container-fluid {
    padding-left: 0;
    padding-right: 40px;
}

.page-container {
    .page-content-wrapper {

        .content {
            padding-top: 105px;
            padding-right: 200px;
        }
    }
}

.btn {
    border-radius: 0;

    &.btn-primary {
        background-color: $active;
        border-color: $active !important;
        color: $white !important;

        &:hover,
        &:focus {
            &:not(.btn-link) {

                background-color: darken($active, 10%) !important;
            }
        }
    }

    &.btn-dark {
        background-color: $primary;
        border-color: $primary !important;
        color: $white !important;

        &:hover,
        &:focus {
            &:not(.btn-link) {

                background-color: darken($primary, 10%) !important;
            }
        }
    }

    &.btn-grey {
        background-color: lighten($black, 59.61);
        border-color: lighten($black, 59.61) !important;
        color: $white !important;

        &:hover,
        &:focus {
            &:not(.btn-link) {

                background-color: darken(lighten($black, 59.61), 10%) !important;
            }
        }
    }

    &.btn-secondary {
        background-color: darken($white, 3.92);
        border-color: darken($white, 15) !important;
        color: $primary !important;

        &:hover,
        &:focus {
            &:not(.btn-link) {

                background-color: darken($white, 10.63) !important;
            }
        }
    }

    &.btn-cons {
        height: 40px !important;
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

    &.icon-btn {
        i {
            font-size: 10px;
        }
    }
}

.dropdown-menu {
    box-shadow: none;
}

.profile-dropdown-toggle {
    cursor: pointer;
    font-size: 25px;

    .thumbnail-wrapper {
        width: 50px;
        height: 50px;
        display: flex !important;
        align-items: center;
        justify-content: center;

        * {
            width: auto;
            height: auto;
            line-height: initial;
        }
    }

    &:hover {
        .thumbnail-wrapper {

            background: darken($white, 5.88);
        }
    }
}

.header {
    border-bottom: 0;
    height: 95px;

    .brand {
        text-align: inherit;

        img {
            height: 40px;
        }
    }
}
.toggle-sidebar{
    font-size: 35px;
    width: 35px;
    height: 35px;
    cursor: pointer;
    color: $black !important;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    top: -2px;
}
.page-sidebar {
    background-color: $white;
    transform: translate3d(-210px, 0px, 0px) !important;
    top: 95px;

    .sidebar-menu {
        height: calc(100%);
        .search-form{
            flex-wrap: wrap;
            margin-top: 20px;
            padding: 0 5px;
            display: block;
            .nice-select{
                margin-top: 5px;
                width: 100%;
            }
        }
        .menu-items {
            li {
                padding: 5px 0;

                &.active {

                    a,
                    .icon-thumbnail {

                        color: $active !important;
                    }
                }

                a {
                    color: $primary !important;
                    font-family: $font-family-bold !important;
                    font-weight: bold;
                    padding: 0 !important;

                    span {
                        line-height: inherit !important;
                    }

                    .icon-thumbnail {
                        color: $primary !important;

                    }
                }
            }
        }
    }
}

.profile-dropdown {

    &:before {
        border-bottom: 7px solid $white;
    }
}

.form-control,
input {
    background-color: $light;
    height: 40px;
    display: flex;
    align-items: center;
    border-radius: 0 !important;
    border: 0;
}



.page-sidebar .icon-thumbnail [class^=bg-],
.page-sidebar [class*=bg-] {
    color: $primary;
}

.icon-thumbnail {
    background: transparent;
    float: right;
}

body.sidebar-visible .page-sidebar .menu-items .icon-thumbnail {
    color: $primary !important;

    transform: none;
}


.search-form {
    display: flex;
    align-items: center;
    // justify-content: space-between;
    .input-group {
        width: auto;

        .btn {
            height: 39px;
            padding: 0 25px;
            border: 0 !important;
        }

        .icon {
            position: absolute;
            z-index: 2;
            top: 10px;
            right: 15px;
        }
    }

    .nice-select-search {
        display: none;
        margin: 0;
    }
}

.nice-select {
    min-width: 150px;
    display: flex;
    align-items: center;
    padding: 0 15px;
    background-color: $light;
    height: 40px;
    user-select: none;
    outline: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    justify-content: space-between;
    position: relative;
    cursor: pointer;
    font-weight: bold;

    &::after {
        content: "\e831";
        font-family: "fontello" !important;
        font-size: 7px;
    }

    .nice-select-search-box {
        input{

            margin: 0;
        }
            border: 0;
        border-radius: 0;
        box-shadow: none;
    }

    .nice-list {
        border: 0;
        border-radius: 0;

        .option {

            &.selected {
                background-color: lighten($primary, 5%);
                color: $white;
            }
        }
    }
}

.close-icon {
    transform: rotate(45deg);
    display: block;
}

// tables
.card-header {

    margin-bottom: 10px;

    .card-title {
        * {

            color: $active;
        }

        h1 {
            span {
                font-weight: bold;
                padding: 0 15px;
            }
        }
    }
}

.card {
    form {
        .form-group {
            margin-bottom: 15px;
        }

        input {
            background: darken($white, 3.14);
            color: lighten($black, 46.67);
            height: 60px;
        }

        ::-webkit-input-placeholder {
            /* Edge */
            color: lighten($black, 46.67);
            opacity: 1;
        }

        :-ms-input-placeholder {
            /* Internet Explorer 10-11 */
            color: lighten($black, 46.67);
            opacity: 1;

        }

        ::placeholder {
            color: lighten($black, 46.67);
            opacity: 1;

        }

        button {
            margin-top: 20px;
        }
    }
}

.table-card {

    // &::after{
    //     content: '';
    //     width: 100%;
    //     background: $white;
    //     height: 100%;
    //     left: -40px;
    //     position: absolute;
    //     z-index: -1;
    // }
    .card-body {
        padding-bottom: 0;
        position: relative;
        max-height: 500px;
        overflow-y: auto;
    }

    .card-footer {
        display: flex;
        border: 0;
        border-radius: 0;
        background: $white;
        box-shadow: 0 -10px 15px -10px rgba(0, 0, 0, 0.1);
    }


    .card-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-wrap: wrap;
        .h4{
            display: flex;
    align-items: center;
    font-size: 20px;
        }
        .share {
            display: flex;
    justify-content: flex-end;
            a {
                font-size: 18px;
                color: $primary !important;
                opacity: 1;
                padding: 0 !important;
                &:hover {

                    color: $active !important;
                }
            }
        }
    }
}

table {

    // border-collapse: separate;
    * {
        white-space: nowrap;
    }

    counter-reset: rowNumber;

    &.dataTable {

        thead {

            .sorting_desc {

                &:after {
                    font-family: "fontello";
                    content: '\e831';
                    background-image: none;
                    font-size: 6px;
                    width: auto;
                    height: auto;
                    bottom: 18px;
                    right: auto;
                    left: 8px;
                }
            }

            .sorting_asc {

                &:after {
                    font-family: "fontello";
                    content: '\e832';
                    background-image: none;
                    font-size: 6px;
                    width: auto;
                    height: auto;
                    bottom: 18px;
                    right: auto;
                    left: 8px;
                }
            }

            .sorting {

                &:after {
                    font-family: "fontello";
                    content: '\e848';
                    background-image: none;
                    right: auto;
                    left: 8px;
                    opacity: 0.4;
                }
            }

            th {
                padding-left: 30px;
                padding-right: 10px !important;

                &[class*=sorting_] {
                    &:not([class=sorting_disabled]) {

                        color: $primary;
                    }
                }

                &:not(:last-child) {
                    border-left: 1px solid darken($white, 8.63);
                }

                font-size: 15px;
                letter-spacing: 0;
                color: $primary;

                font-weight: bold;
            }
        }

        tbody {
            tr {
                * {

                    color: lighten($black, 47.06);
                }

                counter-increment: rowNumber;

                &:not(.selected) {

                    &:nth-of-type(2n+1) {
                        td {

                            background: darken($white, 3.14);
                        }
                    }
                }

                &.selected {
                    td {
                        &.number {
                            &::before {
                                color: $active;
                            }
                        }
                    }
                }

                td {

                    &.number {
                        text-align: center;

                        &::before {
                            font-size: large;
                            font-weight: bold;
                            content: counter(rowNumber);
                        }
                    }
                }

                &:hover {

                    background: darken($white, 3.14);

                    td {
                        background: darken($white, 3.14);


                    }
                }

                td {
                    &[class*=sorting_] {
                        * {

                            color: $primary;
                        }
                    }

                    &:not(:last-child) {
                        border-left: 1px solid darken($white, 8.63);

                        a {
                            border-bottom: 1px solid darken($white, 15);

                            &:hover {
                                color: $active;
                                border-color: $active;
                            }
                        }
                    }

                    a {
                        &:hover {
                            * {

                                color: $active !important;
                            }
                        }
                    }

                    .checkbox {
                        label {
                            &::after {
                                left: 0px !important;
                            }

                        }
                    }

                }
            }
        }
    }
}

a {
    &.no-border {
        border: 0;
    }
}

.checkbox {
    position: relative;
    &::before{
        content: '*';
        font-size: 12px;
        color: red;
        position: absolute;
        right: 20px;
    }
    input {
        &[type=checkbox] {

            &:checked {
                +label {

                    &::after {
                        font-family: "fontello";
                        content: '\e830';
                    }

                    &:before {
                        border-color: $active;
                    }
                }
            }
        }
    }

    label {
        padding-right: 25px;
        margin-left: 15px;
        padding-left: 0;
        margin-right: 0;

        &:before,
        &::after {
            border-radius: 0;
            right: 0;
            left: inherit;
            margin-right: 0;
            margin-left: 15px;
        }
        &:before{

        content: '' !important
    }
    }
}

// modals 
.modal {
    .modal-header {
        h1 {
            color: $active;
        }

        margin-bottom: 20px;
    }

    .close {
        left: 25px;
        right: auto;
        padding: 0;
        padding-top: 20px;
        font-size: small;
        color: lighten($black, 46.67);
    }

    input {
        direction: ltr;
        background: transparent;
        border: 1px solid darken($white, 28.63);

    }

    .modal-content {
        border-radius: 0;
        border: 0;

        h5 {

            color: lighten($black, 46.67) !important;
        }

        color: lighten($black, 46.67);
    }
}

.square-modal {
    .modal-dialog {

        width: 320px;
    }
}

// info cards
.info-card {
    margin: 0;
    height: 100% !important;

    i {
        font-size: 25px;
    }
}

.add-book-card {
    min-height: 77vh;
    margin-bottom: 0;
    
    .row{
        .col-md-6{
            @media screen and (max-width: 768px) {
                padding: 0;
            }
        }
    }

    .nice-select {
        background-color: darken($white, 3.14);
        height: 60px;
        font-weight: normal;
        color: lighten($black, 46.67);
        font-size: 14px;
        &.generated{

            .current{
                font-weight: bold;
                color: $primary;
            }
        }
        &:focus {
            background-color: darken($white, 5.88);
        }
    }

}
.add-book-card , .form-card{
    .form-group , .input-group{
        &.required{
            position: relative;
            &::before{
                content: "*";
                color: red;
                font-size: 15px;
                position: absolute;
                top: 20px;
                right: 5px;
                z-index: 2;
            }
            &.ltr{
                &::before{
                    right: auto;
                    left: 5px;
     
                }         
            }
        }
    }
}

// login 
.login-wrapper {
    &:after {
        position: absolute;
        content: '';
        background: transparentize($primary, 0.6);
        // height: 100%;
        height: 2000px;
        width: 100%;
        top: 0;
    }

    &.register {
        .container {
            .row {
                min-height: 100%;

            }
        }
    }

    .small {

        color: $white;
        font-size: 13px;
    }

    background: url('../images/form.png');
    background-size: cover;
    height: initial;
    position: relative;
    overflow: hidden;

    .bg-pic {
        position: relative;
        width: inherit;
        background: $white;
        overflow: inherit;
        display: flex;
        justify-content: center;
        flex-direction: column;

        * {

            color: $primary;
        }

        &::after {
            width: 100%;
            background: $white;
            position: absolute;
            right: -100%;
            content: "";
            height: 100%;
            z-index: 0;

        }

        img {
            opacity: 1;
            height: auto;
            width: 240px;
        }
    }

    button {
        margin: 25px 0;
    }

    .login-container {
        padding: 0;
        width: inherit;
        float: initial;
        display: flex;
        align-items: center;
       label , .current {
            &::before{
                content: '*';
                color: red;
                font-size: 15px !important;
            }
        }

        .nice-select {
            background-color: $white;
            height: 50px;
            font-weight: initial;

            .nice-select-search {
                display: none;
            }
        }

        img {
            width: 100%;
            height: 100%;
            position: absolute;
            object-fit: cover;
        }

        .form {
            height: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        h4 {
            position: relative;
            margin-bottom: 50px;
            color: $white;
            font-family: $font-family-bold !important;

            &::after {
                position: absolute;
                width: 40px;
                height: 6px;
                background: $active;
                content: "";
                top: 50px;
                right: 0;
            }
        }
    }

    background-color: $white;

    .container {
        position: relative;
        z-index: 1;

        .row {
            min-height: 100vh;
        }
    }

    .error {
        color: $white;
    }

    .checkbox label {
        color: $white !important;

        &::after {
            left: 2px !important;
            right: 2px !important;
        }
    }
}

.form-group-default {
    border-radius: 0;
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 50px;
    padding-top: 0;
    padding-bottom: 0;
    margin-bottom: 15px;
    .input-group-append{

        .input-group-text{
            background-color: transparent !important;
            padding: 0 !important;
        }
    }
    label {
        position: absolute;
        @include prefix(transition, $transition, webkit ms moz);
    }

    &.has-error {
        background: $white;
        border-color: $white;
        color: red;
    }

    &.focused,
    &:not(.has-error) {
        label {
            @include prefix(transition, $transition, webkit ms moz);
            position: relative;
        }
    }


    .controls {
        height: 50px;

        input {
            height: 100% !important;
            margin: 0;
        }
    }
}
.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control{
    color: rgb(0, 0, 0);
}
// footer
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0;
    right: 0;
    padding: 0 15px;

    ul {
        padding: 0;
        width: 100%;
        display: flex;
        list-style: none;

        li {
            margin-left: 80px;
            font-weight: bold;

            a {
                &.active {
                    color: $active;
                }

                &:hover {
                    color: $active;

                }
            }
        }
    }
}

// copyright
.copyright {
    margin-bottom: 10px;
    color: $white;
    text-align: center;
    position: absolute;
    bottom: 0;
    padding-bottom: 0;
    left: 0;
    right: 0;
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 20px;
    border-top: 1px solid $white;
}

// forms
.form-card {
    height: 100% !important;

    .card-header {
        margin-bottom: 0px;
    }

    .input-group {
        margin-bottom: 20px;

    }

    .form-control {
        height: 50px;
    }

    .nice-select {
        height: 50px;
        font-weight: normal;
        background-color: darken($white, 3.14);
        color: lighten($black, 59.61);

        .nice-select-search {
            display: none;
        }
    }
}

.input-group {
    &.dark-file {
        .custom-file {
            .custom-file-label {
                background-color: lighten($black, 59.61);
                color: $white;
            }
        }

        .input-group-text {
            background-color: lighten($black, 59.61) !important;
            color: $white;
        }

        &:hover {

            .custom-file-label,
            .input-group-text {


                background-color: lighten($black, 40);
            }
        }
    }

    .custom-file {
        height: 50px;
        position: relative;
        overflow: hidden;

        input {

            cursor: pointer;
        }

        .custom-file-label {
            background-color: darken($white, 3.14);
            border: none;
            border-radius: 0;
            color: lighten($black, 59.61);
            height: inherit;
            display: flex;
            align-items: center;

            &::after {
                display: none;
            }

        }
    }

    .input-group-text {
        background-color: darken($white, 3.14) !important;
        border: none;
        border-radius: 0;
        color: lighten($black, 59.61);


    }

    &:hover {

        .custom-file-label,
        .input-group-text {


            background-color: darken($white, 10);
        }
    }
}

.dialog-sm {

    label {
        font-size: 15px !important;
        margin-bottom: 20px;
        color: darken($white, 53.33) !important;
        opacity: 1;
    }
}

textarea {
    background-color: darken($white, 3.92);
    width: 100%;
    border: 0;
    display: block;
    padding: 15px;

    &:focus,
    &:active {

        background-color: darken($white, 10);
    }
}

.form-group {
    &:not(.form-group-default)
    {

        input {
            
            &:-webkit-autofill {
            border: none;
            -webkit-text-fill-color: $black;
            -webkit-box-shadow: 0 0 0 1000px darken($white, 10) inset !important;
            transition: background-color 5000s ease-in-out 0s;
            
            &:hover,
            &:focus {
                @extend :-webkit-autofill;
                }
            }
        
        
        }
    }
}

textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    border: none;
    -webkit-text-fill-color: $black;
    -webkit-box-shadow: 0 0 0 1000px darken($white, 10) inset !important;
    transition: background-color 5000s ease-in-out 0s;
}

.nav-tabs {
    border: 0;
    padding: 0;
    margin-bottom: 30px;

    .nav-item {
        &:not(:first-of-type) {
            margin-right: 60px;
        }
    }

    .nav-link {
        border: 0;
        font-size: 16px;
        font-family: $font-family-bold !important;
        color: lighten(saturate(#000000, 1.67), 76.47);
        padding: 0;

        &.active {
            color: lighten($black, 59.61) !important;
        }

        &:hover,
        &:focus {
            background-color: $white !important;
        }
    }
}

.tab-content {
    padding: 0 !important;
}

.datepicker {
    text-align: right;
    padding: 0 15px;
    font-size: 15px;

    thead {

        tr {

            .next {

                &:before {
                    content: '\e82b';
                    font-family: "fontello";
                    transform: rotate(180deg);
                    display: block;
                    color: $active !important;

                }
            }

            .prev {

                &:before {
                    content: '\e82b';
                    font-family: "fontello";
                    display: block;
                    color: $active !important;

                }
            }
        }
    }

    .day {

        &.active {
            background-color: $active !important;
        }
    }

    .dow {
        color: $active !important;

    }
}

.rotate45 {
    transform: rotate(45deg);
    display: inline-block;
}

.dialog-sm {
    @media (min-width: 768px) {

        width: 320px !important;
    }
}

// responsive
@media screen and (max-width: 991px){
    body{

        &.sidebar-open{

            .page-container{
                -webkit-transform: translate3d(250px,0,0);
                transform: translate3d(250px,0,0);
                -ms-transform: translate(250px,0);
            }
            .page-sidebar{
                transform: translate3d(0px, 0px, 0px) !important;
                top: 0;
                left: 0;
                right: auto !important;
            }
            .toggle-sidebar {
                &::before{
                    content: '\e851';
                    color: $active;
                }
            }
        } 
        .page-container{
            
            .page-content-wrapper{
                
                .content{
                    padding-right: 0px !important;
                    padding-left: 0px !important; 
                    padding-top: 65px;
                }
                .container-fluid{
                    padding-right: 0px;
                padding-left: 0px; 
            }
        } 
    }
    .search-form{
        display: none;
    }
    .header{
        height: 60px;
        .container{
            padding: 0;
        }
    }
    .login-wrapper  {
        .container{
            max-width: 100%;
        }
    }
    .footer ul{
        justify-content: space-around;
        li{
            margin-left: 0;
        }
    }
    } 
}
@media (max-width: 480px){
.card {

    .card-body {
        padding-top: 15px !important;
    }
} 
} 
@media (max-width: 1024px){
    .form{
        max-width: 100%;
        flex: 100%;
    }
}
@media (max-width: 767px){
    .login-wrapper{
        .container{
            padding: 0;
        }
        .bg-pic ,.login-container{
            max-width: 100%;
            width: 100%;
        }
        .login-container{
            max-width: 500px;
    margin: 0 auto;
        }
        .bg-pic{
            padding: 20px 0;
            text-align: center;
            img{
                width: 100%;
    max-width: 170px;
            }
            .col-sm-7{

                margin-bottom: 30px;
            }
            br{
                display: none;
            }
            .mb-3{
                display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
            }
        }
        .col-sm-2{
            display: none;
        }
        .footer{
            margin-bottom: 10px;
        }
        &::after {
            background: transparentize($primary, 0.2) !important;
        }
        .col-sm-6{

                padding-right: 0 !important;
                &:last-of-type{
                    padding-left: 0;
                }
            
        }
    } 
} 
@media (max-width: 575px){
    .login-wrapper{
        .col-sm-6{
            &:first-of-type{

                padding-left: 0 ;
            }
    }
    }
}
